%define major 0.7

Name: nautilus-python
Version: %major.0
Release: alt2

Summary: Python bindings for Nautilus

License: GPLv2+
Group: Development/Python
Url: http://www.gnome.org/
Provides: python-module-nautilus = %version-%release
Obsoletes: python-module-nautilus

Source: %name-%version.tar
Patch1: %name-%version-%release.patch

%setup_python_module nautilus
%add_python_lib_path %_libdir/%name

%define nautilus_ver 2.22.0
%define pygtk_ver 2.8.0
%define pygobject_ver 2.16.0
%define pygnome_ver 2.12.0

BuildPreReq: rpm-build-gnome gnome-common
BuildPreReq: libnautilus-devel >= %nautilus_ver
BuildPreReq: python-module-pygobject-devel >= %pygobject_ver
BuildPreReq: python-module-pygtk-devel >= %pygtk_ver
BuildPreReq: python-module-pygnome-devel >= %pygnome_ver
BuildRequires: gtk-doc python-module-pygobject-devel-doc

%description
This package provides Python bindings for the Nautilus extension library.

%package devel
Summary: Development files for %name
Group: Development/Python
Requires: %name = %version-%release
Provides: python-module-nautilus-devel = %version-%release
Obsoletes: python-module-nautilus-devel

%description devel
Development files for %name.

%package devel-doc
Summary: Development documentation for %name
Group: Development/Python
BuildArch: noarch
Conflicts: %name-devel < %version
Provides: python-module-nautilus-devel-doc = %version-%release
Obsoletes: python-module-nautilus-devel-doc

%description devel-doc
Development documentation for %name.

%prep
%setup -q
%patch1 -p1

%build
./autogen.sh
%configure --disable-static \
    --enable-gtk-doc

%make_build

%install
%make DESTDIR=%buildroot install
mkdir -p %buildroot%_datadir/nautilus-python/extensions
mkdir -p %buildroot%nautilus_extdir/python
rm -f examples/{Makefile*,README.in}

%files
%nautilus_extdir/*.so
%_libdir/%name/*.so
%dir %nautilus_extdir/python
%dir %_datadir/nautilus-python/extensions

%files devel
%_pkgconfigdir/*
%doc README AUTHORS NEWS ChangeLog examples

%files devel-doc
%_datadir/gtk-doc/html/*

%exclude %nautilus_extdir/*.la
%exclude %_libdir/%name/*.la
%exclude %_docdir/%name

%changelog
* Mon Jul 05 2010 Alexey Shabalin <shaba@altlinux.ru> 0.7.0-alt2
- rename python-module-nautilus to nautilus-python
- cleanup spec
- fix path for nautilus-python extentions

* Sat May 22 2010 Yuri N. Sedunov <aris@altlinux.org> 0.7.0-alt1
- new version
- new devel-doc noarch subpackage

* Wed Jan 20 2010 Yuri N. Sedunov <aris@altlinux.org> 0.6.1-alt1
- 0.6.1

* Mon Jan 18 2010 Yuri N. Sedunov <aris@altlinux.org> 0.6.0-alt1
- first build for Sisyphus
